api_channel_list:
    path: /
    controller: App\Application\ApiBundle\Controller\ChannelController::list
    methods: ['GET']

api_channel_add:
    path: /
    controller: App\Application\ApiBundle\Controller\ChannelController::add
    methods: ['POST']

api_channel_detail:
    path: /{id}
    controller: App\Application\ApiBundle\Controller\ChannelController::detail
    methods: ['GET']

api_channel_update:
    path: /{id}
    controller: App\Application\ApiBundle\Controller\ChannelController::update
    methods: ['POST']

api_channel_delete:
    path: /{id}
    controller: App\Application\ApiBundle\Controller\ChannelController::delete
    methods: ['DELETE']

api_channel_get_prepaid_current_sum:
    path: /{id}/get-prepaid-current-sum
    controller: App\Application\ApiBundle\Controller\ChannelController::getPrepaidCurrentSum
    methods: ['POST']